SNIPROXY(8)

NAME
SNIProxy - transparent session based TLS and HTTP proxy

SYNOPSIS
sniproxy [ -c config ] [ -f ] [ -n file-descriptor-limit ] [ -V ]

DESCRIPTION
Proxies incoming HTTP and TLS connections based on the hostname contained in the initial request of the TCP session. This enables HTTPS name-based virtual hosting to separate backend servers without installing the private key on the proxy machine.

OPTIONS

-c config
    Specify configuration file to use. The default is /etc/sniproxy.conf.

-f  Do not daemonize, and run in foreground.

-n file-descriptor-limit
    Specify the maximum file descriptor resource limit. SNIProxy will attempt to set the maximum file descriptor limit to the value specified.

-V  Print the version of SNIProxy and exit.